## net.i2p.router
Class PersistRouterInfoJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.PersistRouterInfoJob

All Implemented Interfaces:
  Job

     class PersistRouterInfoJob

extends JobImpl

update the router.info file whenever its, er, updated

Constructor Summary
`PersistRouterInfoJob(RouterContext ctx)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`addedToQueue, dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistRouterInfoJob

    public PersistRouterInfoJob(RouterContext ctx)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.